%define major		0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d
%define oname		QHttpEngine

Name:		qhttpengine
Version:	0.1.0
Release:	%mkrel 1
Summary:	HTTP server for Qt applications
Group:		Development/KDE and Qt
License:	MIT
URL:		https://nitroshare.net
# https://github.com/nitroshare/qhttpengine
Source0:	https://launchpad.net/qhttpengine/0.1/%{version}/+download/%{name}-%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Network)

%description
QHttpEngine provides a set of Qt classes that enable applications to expose
functionality through an HTTP interface. Handlers are provided that allow
directories containing static files to be served directly from the application
as well as allow scripts or other tools to interact with the application
through an API.

#----------------------------------------------------

%package -n	%{libname}
Summary:	Library for %{name}
Group:		System/Libraries

%description -n %{libname}
QHttpEngine provides a set of Qt classes that enable applications to expose
functionality through an HTTP interface. Handlers are provided that allow
directories containing static files to be served directly from the application
as well as allow scripts or other tools to interact with the application
through an API.

#----------------------------------------------------

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/KDE and Qt
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

#----------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_qt5

%make_build

%install
%make_install -C build

%files -n %{libname}
%{_libdir}/lib%{oname}.so.%{major}{,.*}

%files -n %{develname}
%doc README.md
%license LICENSE.txt
%{_includedir}/%{oname}/
%{_libdir}/lib%{oname}.so
%{_libdir}/cmake/%{oname}/
%{_libdir}/pkgconfig/%{oname}.pc


%changelog
* Mon Jul 11 2016 daviddavid <daviddavid> 0.1.0-1.mga6
+ Revision: 1041103
- initial package qhttpengine

